# feedback.list

`GET /api/public/v1/feedback`

Your feedback tickets (a key sees the ones it sent; owners and admins see the workspace's), newest activity first; filter by status (open = new/triaged/in progress) or category.

- Capability: `feedback.submit`
- Command: no
- Paginated: keyset (`limit`, `cursor` = `page.next_cursor`)
- MCP tool: `feedback_list`

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `limit` | query | integer | no | Page size (max 100) (min 1, max 100) Default: `50`. |
| `cursor` | query | string | no | page.next_cursor from the previous page (max length 400) |
| `status` | query | "open" \| "done" \| "new" \| "triaged" \| "in_progress" \| "answered" \| "resolved" \| "closed" \| … | no | open = new/triaged/in progress; done = resolved/closed/duplicate/won't fix |
| `category` | query | "bug" \| "friction" \| "feature_request" \| "docs" \| "question" \| "praise" | no |  |

## Response

`200` with `{ data, page, correlation_id }`.

| Field | Type | Always present | Description |
|---|---|---|---|
| `data` | array<object> | yes |  |
| `data[].id` | string (uuid) | yes |  |
| `data[].ref` | string | yes |  |
| `data[].status` | "new" \| "triaged" \| "in_progress" \| "answered" \| "resolved" \| "closed" \| "duplicate" \| "wont_fix" | yes |  |
| `data[].category` | "bug" \| "friction" \| "feature_request" \| "docs" \| "question" \| "praise" | yes |  |
| `data[].summary` | string | yes |  |
| `data[].severity` | "low" \| "medium" \| "high" \| "critical" \| null | yes |  |
| `data[].reporter` | string | yes |  |
| `data[].interface` | string | yes |  |
| `data[].revision` | integer | yes | (min -9007199254740991, max 9007199254740991) |
| `data[].mine` | boolean | yes |  |
| `data[].key_name` | string \| null | yes |  |
| `data[].related_tool` | string \| null | yes |  |
| `data[].related_operation` | string \| null | yes |  |
| `data[].dedup_count` | integer | yes | (min -9007199254740991, max 9007199254740991) |
| `data[].created_at` | string (date-time) | yes |  |
| `data[].last_activity_at` | string (date-time) | yes |  |
| `correlation_id` | string (uuid) | yes |  |
| `page` | object | no |  |
| `page.limit` | integer | no |  |
| `page.total` | integer | no |  |
| `page.next_cursor` | string \| null | no |  |

New fields can appear at any time; ignore the ones you do not know.

## Errors

| Code | HTTP | Retryable |
|---|---|---|
| `UNAUTHENTICATED` | 401 | no |
| `FORBIDDEN` | 403 | no |
| `RATE_LIMITED` | 429 | yes |
| `VALIDATION_FAILED` | 422 | no |
| `DEPENDENCY_UNAVAILABLE` | 503 | yes |
| `UNKNOWN` | 500 | no |

## Example (curl)

```bash
curl "https://browlix.com/api/public/v1/feedback" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"
```

## Example (TypeScript SDK)

```ts
import { Browlix } from "@browlix/sdk";

const bx = new Browlix({ apiKey: process.env.BROWLIX_API_KEY! });
const reply = await bx.call("feedback.list");
console.log(reply.data);
```

## Example (Python)

```python
import os
import requests

r = requests.get(
    "https://browlix.com/api/public/v1/feedback",
    headers={"Authorization": f"Bearer {os.environ['BROWLIX_API_KEY']}"},
    timeout=60,
)
print(r.status_code, r.json())
```

## Example (MCP)

```json
{
  "method": "tools/call",
  "params": {
    "name": "feedback_list",
    "arguments": {}
  }
}
```
